<id>
Profile Birthdate Dropdown Advanced mod
</id>

<version>
.2Adv.  Beta
</version>

<mod info>
Changes the current Month/Day/Year entry fields to easy to select dropdown boxes in Modify Profile that are currently textarea 
input boxes. Currently the entries require an exact format (MM/DD/YYYY) to be accepted . This will help your members who 
don't understand or didn't notice the format requirement  (MM/DD/YYYY).

This is the "Advanced" version of this mod, which allows for a Member to check a checkbox that will prevent the displaying of 
the Member's age on the "View Profile" page. The exception to this is that Admin's and Global Moderators will always be shown 
the age.

Installs on YaBB SP1.1/SP1.2/SP1.3.x

Do not install the Basic version if you are installing this version, all the functions of the Basic
version are also in this version.

Files changed that need to be uploaded:
english.lng
Sources/Profile.pl
Sources/Subs.pl

</mod info>

<author>
DummyProof
</author>

<homepage>
http://cgi.tripod.com/yabbsp1_1/cgi-bin/YaBB.pl
</homepage>

<edit file>
english.lng
</edit file>

<search for>
$txt{'564'} = "Month (MM)";
$txt{'565'} = "Day (DD)";
$txt{'566'} = "Year (YYYY)";
</search for>

<replace>
$txt{'564'} = "Month ";
$txt{'565'} = "Day ";
$txt{'566'} = "Year ";
$txt{'566a'} = "Don't display age on \"View Profile\" page:";
</replace>

<edit file>
Sources/Profile.pl
</edit file>

<search for>
	$dayormonthm = qq~$txt{'564'}<input type="text" name="bday1" size="2" maxlength="2" value="$umonth">~; $dayormonthd = qq~$txt{'565'}<input type="text" name="bday2" size="2" maxlength="2" value="$uday">~;
</search for>

<replace>
	if($hidebd eq "xx"){ $hidebdc = "checked";}
	$selectyear = '';
	$seluyear = qq~$txt{'566'}<select name="bday3" style="font-size=10pt;"><option value="">  </option>\n~;
	for ($e = 1905; $e < ($year-4); $e++) {
		if($uyear == $e) {$selectyear = 'selected';} else {$selectyear = '';}
		$seluyear .= qq~<option value="$e" $selectyear>$e</option>\n~;
	}
	$seluyear .= qq~</select> ~;

	$selectmnth = '';
	$dayormonthm = qq~$txt{'564'}<select name="bday1" style="font-size=10pt;"><option value="">  </option>\n~;
	for ($b = 1; $b < 13; $b++) {
		if($umonth == $b) {$selectmnth = 'selected';} else {$selectmnth = '';}
		if($b < 10) {$c = "0$b";} else { $c = $b;}
		$dayormonthm .= qq~<option value="$c" $selectmnth>$c</option>\n~;
	}
	$dayormonthm .= qq~</select> ~;

	$selectday = '';
	$dayormonthd = qq~$txt{'565'}<select name="bday2" style="font-size=10pt;"><option value="">  </option>\n~;
	for ($a = 1; $a < 32; $a++) {
		if($uday == $a) {$selectday = 'selected';} else {$selectday = '';}
		if($a < 10) {$d = "0$a";} else { $d = $a;}
		$dayormonthd .= qq~<option value="$d" $selectday>$d</option>\n~;
	}
	$dayormonthd .= qq~</select> ~;

</replace>

<search for>
	<td><font size="1">$dayormonth$txt{'566'}<input type="text" name="bday3" size="4" maxlength="4" value="$uyear"></font></td>
</search for>

<replace>
	<td><font size="1">$dayormonth$seluyear</font>
	<br><font size="1">$txt{'566a'}</font><input type="checkbox" name="bday4" value="xx" $hidebdc></td>
</replace>

<search for>
		if($member{'bday1'}) { $member{'bday'} = "$member{'bday1'}/$member{'bday2'}/$member{'bday3'}"; }
</search for>

<replace>
		if($member{'bday1'}) { $member{'bday'} = "$member{'bday1'}/$member{'bday2'}/$member{'bday3'}/$member{'bday4'}"; }
</replace>

<search for>
	if($isbday) { $isbday = "<img src=\"$imagesdir/bdaycake.gif\" width=40>"; }
</search for>

<add after>
	if($hidebd eq "xx" && $settings[7] ne 'Administrator' && $settings[7] ne 'Global Moderator' ){$age = '';}
</add after>

<edit file>
Sources/Subs.pl
</edit file>

<search for>
	($usermonth, $userday, $useryear) = split(/\//, $memsettings[16]);
</search for>

<replace>
	($usermonth, $userday, $useryear, $hidebd) = split(/\//, $memsettings[16]);
</replace>